[Mediawiki-l] Magic word 'if' not found when updating ParserFunctions

Lukas Haase lukashaase at gmx.at
Mon Jun 14 15:00:03 UTC 2010


Am 13.06.2010 23:22, schrieb Platonides:
> Lukas Haase wrote:
>> Hi,
>>
>> I just upgraded from MediaWiki 1.13 to 1.15.
>>
>> I also upgraded the extension ParserFunctions which I updated directly
>> from SVN to the last version:
>>
>>
>> Does anybody know how I could resolve this?
>>
>> Regards,
>> Luke
>
> Trunk parserfunctions may not be 1.15 compatible.
> Try checking out
> http://svn.wikimedia.org/svnroot/mediawiki/branches/REL1_15/extensions/ParserFunctions/

Nice, I did not realize that any extension is in the appropriate branch...

> (btw, you can also update MediaWiki from svn this way, relocating when
> upgrading)

Oh well I exactly did this!

My first checkout was:

http://svn.wikimedia.org/svnroot/mediawiki/branches/REL1_13/phase3

And then I did

svn switch http://svn.wikimedia.org/svnroot/mediawiki/branches/REL1_15

Until now, then everytime I changed to the "extensions" folder and did 
svn update on each extension which is checked out from SVN.

You say that I can "relocate" them automatically when I upgrade the 
MediaWiki itself (i.e. when I do svn switch)?

How do I do this?

Luke



More information about the MediaWiki-l mailing list